package fr.gouv.vitamui.pastis.model.profiles;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Data@Getter@Setter
public class Notice {

    String _id;
    String identifier;
    String name;
    String description;
    String status;
    String creationDate;
    String lastUpdate;
    String activationDate;
    String deactivationDate;
    String controlSchema;
    String _tenant;
    String _v;
    List<String> fields;

    @JsonProperty("Identifier")
    public String getIdentifier() {
        return identifier;
    }

    @JsonProperty("Name")
    public String getName() {
        return name;
    }

    @JsonProperty("Description")
    public String getDescription() {
        return description;
    }

    @JsonProperty("Status")
    public String getStatus() {
        return status;
    }

    @JsonProperty("CreationDate")
    public String getCreationDate() {
        return creationDate;
    }

    @JsonProperty("LastUpdate")
    public String getLastUpdate() {
        return lastUpdate;
    }

    @JsonProperty("ActivationDate")
    public String getActivationDate() {
        return activationDate;
    }

    @JsonProperty("DeactivationDate")
    public String getDeactivationDate() {
        return deactivationDate;
    }

    @JsonProperty("ControlSchema")
    public String getControlSchema() {
        return controlSchema;
    }

    @JsonProperty("Fields")
    public List<String> getFields() {
        return fields;
    }

}
